Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deepfs.fsml.parsers
Class TIFFParser

    java.lang.Object
      org.deepfs.fsml.parsers.TIFFParser

All Implemented Interfaces:
  IFileParser

    public final class TIFFParser

extends Object
implements IFileParser

Parser for TIF files.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen, Bastian Lemke

Constructor Summary
`TIFFParser()`

Method Summary
`boolean` | `check(DeepFile df)` Checks if there is a File in correct format and can be read by the parser.
`void` | `extract(DeepFile deepFile)` Extracts metadata and file contents.
`void` | `propagate(DeepFile deepFile)` Propagates the metadata and file contents back to the file in the file system.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TIFFParser

    public TIFFParser()

Method Detail

### check

    public boolean check(DeepFile df)
                  throws IOException

  Description copied from interface: `IFileParser`

  Checks if there is a File in correct format and can be read by the parser. Checks e.g. header bytes.

  Specified by:
    `check` in interface `IFileParser`
  Parameters:
    `df` - the `DeepFile` to read from
  Returns:
    true if the file is supported
  Throws:
    `IOException` - if an error occurs while reading from the file

### extract

    public void extract(DeepFile deepFile)
                 throws IOException

  Description copied from interface: `IFileParser`
  Extracts metadata and file contents.

  Specified by:
    `extract` in interface `IFileParser`
  Parameters:
    `deepFile` - the `DeepFile` to save metadata and content to
  Throws:
    `IOException` - if any error occurs while reading from the file

### propagate

    public void propagate(DeepFile deepFile)

  Description copied from interface: `IFileParser`
  Propagates the metadata and file contents back to the file in the file system.

  Specified by:
    `propagate` in interface `IFileParser`
  Parameters:
    `deepFile` - the `DeepFile` that contains the metadata and file contents

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD